Bug 200565 - Review Request: ksynaptics - KDE configuration for synaptics module
Review Request: ksynaptics - KDE configuration for synaptics module
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
Depends On: 200555
  Show dependency treegraph
Reported: 2006-07-28 13:51 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-31 12:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-07-28 13:51:46 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/ksynaptics.spec
SRPM Name or Url:

KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers.
Comment 1 Rex Dieter 2006-07-28 14:15:26 EDT
upstream source checks out.
c9c124ba59bbb898bfc73f2ab00e8006  ksynaptics-0.3.1.tar.bz2

A few initial comments:

1.  Icons need scriptlets (See 
http://www.fedoraproject.org/wiki/ScriptletSnippets), something like:

touch --no-create %{_datadir}/icons/hicolor || :
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2>/dev/null ||: 


2.  You don't really need:
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
anymore, the qt bug that this worked around is now fixed.
touch --no-create %{_datadir}/icons/hicolor || :
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2>/dev/null ||:

Otherwise it looks good!  Now, I'll try building and see how it works... (:

Comment 2 Rex Dieter 2006-07-28 14:18:22 EDT
oops, left %postun blank, it should have been the same:

touch --no-create %{_datadir}/icons/hicolor || :
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2>/dev/null ||: 
Comment 3 Rex Dieter 2006-07-28 14:40:17 EDT
I'd suggest replacing:
desktop-file-install --vendor=fedora \
       --add-category=Qt \
       --add-category=KDE \
       --add-category=Utility \
       --add-category=X-Fedora \
       --delete-original --dir %{buildroot}%{_datadir}/applications \

with simply:
desktop-file-install \
  --vendor="" --add-category=X-Fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \

The vendor is clear already here (kde), and this is simply a KControl module, 
so there's no need to add those Categories.
Comment 4 Orion Poplawski 2006-07-28 16:39:22 EDT
spec and src.rpm updated.  New srpm:
http://www.cora.nwra.com/~orion/fedora/ksynaptics-0.3.1-1.fc5.src.rpm though you
really only need the new spe.

- Add icon post/postun scripts
- Add Requires: hicolor-icon-theme
- Remove old QTDIR hack
- Cleanup desktop file

Not sure if the hicolor-icon-theme requires is necessary, but I would think so
since it installs into %{_datadir}/icons/hicolor/...

Thanks for the reviews Rex!
Comment 5 Rex Dieter 2006-07-28 18:29:26 EDT
Requires: hicolo-icon-theme
probably isn't absolutely required, but I guess it doesn't hurt either.

Comment 6 Orion Poplawski 2006-07-31 12:25:54 EDT
Imported, built on devel, and added to owners.list.

Note You need to log in before you can comment on or make changes to this bug.